RanklyBee logoRanklyBee
Leads

Move a lead to a stage

Requires the leads:write scope. Fires any lead stage-changed automations and is recorded in the audit log.

PATCH
/projects/{projectId}/leads/{leadId}/stage

Requires the leads:write scope. Fires any lead stage-changed automations and is recorded in the audit log.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

projectId*string

Project ID returned by GET /projects.

leadId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

stage*string

Value in

  • "to_qualify"
  • "to_contact"
  • "in_conversation"
  • "closed"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/projects/string/leads/string/stage" \  -H "Content-Type: application/json" \  -d '{    "stage": "to_qualify"  }'
{  "ok": true,  "data": {    "id": "string",    "siteId": "string",    "platform": "string",    "sourceContainer": "string",    "kind": "string",    "title": "string",    "body": "string",    "authorHandle": "string",    "permalink": "http://example.com",    "score": 0,    "tier": "hot",    "leadType": "string",    "sentiment": "string",    "evidenceQuote": "string",    "reason": "string",    "stage": "to_qualify",    "feedback": "up",    "dismissed": true,    "postedAt": "2019-08-24T14:15:22Z",    "firstSeenAt": "2019-08-24T14:15:22Z",    "redacted": true  }}